Skip to main content
POST
/
v1
/
person
/
enrich
Enrich a person from a LinkedIn URL or name
curl --request POST \
  --url https://horizon.gravitygtm.com/api/v1/person/enrich \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "linkedin_url": "<string>",
  "name": "<string>",
  "company": "<string>",
  "include_email": false
}
'
import requests

url = "https://horizon.gravitygtm.com/api/v1/person/enrich"

payload = {
"linkedin_url": "<string>",
"name": "<string>",
"company": "<string>",
"include_email": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
linkedin_url: '<string>',
name: '<string>',
company: '<string>',
include_email: false
})
};

fetch('https://horizon.gravitygtm.com/api/v1/person/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "linkedinUrl": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "headline": "<string>",
    "location": {},
    "currentPosition": [
      {}
    ],
    "emails": [
      {
        "email": "<string>",
        "deliverable": true,
        "qualityScore": 123,
        "free": true,
        "catchAllDomain": true
      }
    ]
  },
  "credits_charged": 123,
  "credits_remaining": 123,
  "cached": true,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true,
"credits_charged": 123
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}
{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Provide either linkedin_url or name.

linkedin_url
string<uri>
name
string
Minimum string length: 1
company
string
Minimum string length: 1
include_email
boolean
default:false

Response

200 — success. Charges 2 credit(s) on this endpoint.

data
object
required

HarvestAPI LinkedIn profile.

credits_charged
number
required

Normally 2; see per-endpoint miss/skip policy notes.

credits_remaining
number
required
cached
boolean
required

True when this result was served from cache without calling the vendor.

request_id
string<uuid>
required